import { ReactNode } from 'react';
export declare function success(text: ReactNode, duration?: number, callback?: () => void, containerSelector?: string, className?: string): number;
export declare function warn(text: ReactNode, duration?: number, callback?: () => void, containerSelector?: string, className?: string): number;
export declare function error(text: ReactNode, duration?: number, callback?: () => void, containerSelector?: string, className?: string): number;
export declare function info(text: ReactNode, duration?: number, callback?: () => void, containerSelector?: string, className?: string): number;
export declare function clear(containerId: any): void;
export declare function config(options: any): void;
